OpenSCAD ScaleMeshFeature/it: Difference between revisions

From FreeCAD Documentation
(Created page with "OpenSCAD: Scala la mesh")
 
(Updating to match new version of source page)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
<div class="mw-translate-fuzzy">
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
{{Docnav/it
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
|[[OpenSCAD_MirrorMeshFeature/it|Specchia la mesh]]
|[[OpenSCAD_Module|OpenSCAD]]
|[[OpenSCAD_ResizeMeshFeature/it|Ridimensiona le mesh]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=
|IconR=
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/it
|Name=OpenSCAD ScaleMesh
|Name=OpenSCAD_ScaleMesh
|MenuLocation=OpenSCAD → Scale Mesh Feature
|Name/it=Scala la mesh
|Workbenches=[[OpenSCAD Module|OpenSCAD]]
|MenuLocation=OpenSCAD → Scala la mesh
|SeeAlso=[[Mesh_Scale|Mesh Scale]]
|Workbenches=[[OpenSCAD_Workbench/it|OpenSCAD]]
|SeeAlso=
}}
}}
</div>


==Description==
==Description==
Line 20: Line 26:
Creates a new scaled mesh object with independent scaling for each axis.
Creates a new scaled mesh object with independent scaling for each axis.


[[File:OpenSCAD ScaleMesh.svg]]
==Usage==
==Usage==


Line 35: Line 40:


* The function does not modify the existing mesh, but returns a new mesh.
* The function does not modify the existing mesh, but returns a new mesh.
* The function can be accessed via python:
* The function can be accessed via Python:

{{Code|code=
{{Code|code=
import OpenSCADUtils
import OpenSCADUtils
Line 46: Line 52:




<div class="mw-translate-fuzzy">

{{Docnav/it

|[[OpenSCAD_MirrorMeshFeature/it|Specchia la mesh]]
{{Docnav
|[[OpenSCAD_ResizeMeshFeature/it|Ridimensiona le mesh]]
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
|[[OpenSCAD_Module|OpenSCAD]]
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=
|IconR=
}}
}}
</div>


{{OpenSCAD_Tools_navi{{#translation:}}}}
{{OpenSCAD_Tools_navi{{#translation:}}}}

Latest revision as of 18:28, 26 December 2022

Other languages:

Scala la mesh

Posizione nel menu
OpenSCAD → Scala la mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Description

Creates a new scaled mesh object with independent scaling for each axis.

Usage

  1. Select the mesh object to be scaled.
  2. Click the OpenSCAD → Scale Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new mesh object is created and scaled, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new scaled object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via Python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to scale
original_mesh = App.ActiveDocument.Mesh
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)